summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTony Vroon <chainsaw@gentoo.org>2015-09-04 14:31:53 +0100
committerTony Vroon <chainsaw@gentoo.org>2015-09-04 14:31:53 +0100
commit84e93cb90156ce4eb9d2fe8d0d716b46fdeba5dc (patch)
treeea267cbf80b217ea91d4d9455cae432556c9d03f /x11-wm/evilwm/evilwm-1.1.1.ebuild
parentMerge branch 'idea-ultimate' of git://github.com/switch87/gentoo (diff)
downloadgentoo-84e93cb90156ce4eb9d2fe8d0d716b46fdeba5dc.tar.gz
gentoo-84e93cb90156ce4eb9d2fe8d0d716b46fdeba5dc.tar.bz2
gentoo-84e93cb90156ce4eb9d2fe8d0d716b46fdeba5dc.zip
x11-wm/evilwm: Version bump to 1.1.1; ebuild by Jaco Kroon who is taking up (proxy) maintainership.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'x11-wm/evilwm/evilwm-1.1.1.ebuild')
-rw-r--r--x11-wm/evilwm/evilwm-1.1.1.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/x11-wm/evilwm/evilwm-1.1.1.ebuild b/x11-wm/evilwm/evilwm-1.1.1.ebuild
new file mode 100644
index 00000000000..eb3382b64d3
--- /dev/null
+++ b/x11-wm/evilwm/evilwm-1.1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit toolchain-funcs
+
+MY_P=${P/_}
+
+DESCRIPTION="A minimalist, no frills window manager for X"
+HOMEPAGE="http://www.6809.org.uk/evilwm/"
+SRC_URI="http://www.6809.org.uk/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT 9wm"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~sparc64-solaris"
+IUSE=""
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXrandr
+ x11-libs/libXext"
+DEPEND="${RDEPEND}
+ x11-proto/xproto"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -e 's/^#define DEF_FONT.*/#define DEF_FONT "fixed"/' \
+ -i evilwm.h || die
+
+ sed -e '/Encoding/d' \
+ -i ${PN}.desktop || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" prefix="${EPREFIX}/usr" INSTALL_STRIP="" install || die
+ dodoc ChangeLog README TODO || die
+
+ echo -e "#!${EPREFIX}/bin/sh\nexec \"${EPREFIX}/usr/bin/${PN}\"" > "${T}"/${PN}
+ exeinto /etc/X11/Sessions
+ doexe "${T}"/${PN} || die
+}